Deployments.ai Docs
Managed Skills

List managed skill installations

GET /v1/managed-skill-installations · SDK listManagedSkillInstallations · CLI deployments managed-skill-installation list

GET
/v1/managed-skill-installations

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Query Parameters

cursor?string
Length1 <= length <= 4096
limit?integer
Range1 <= value <= 100

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

ListManagedSkillInstallationsResponse

application/json
  1. response
items*array<>
nextCursor?|null|null
curl -X GET "https://example.com/v1/managed-skill-installations" \  -H "x-deployments-environment: string"
{  "items": [    {      "agentDefinitionId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "environmentId": "string",      "id": "string",      "installedByPrincipalId": "string",      "managedSkillId": "string",      "managedSkillReleaseId": "string",      "organizationId": "string",      "projectId": "string",      "status": "active",      "updatedAt": "2019-08-24T14:15:22Z",      "version": 0    }  ],  "nextCursor": "string"}